package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;

/**
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Version 1.0
 */
public interface AuthService {
    /**
     * 鉴权登录
     * @param loginRequest
     * @return
     */
    Result<JwtResponse> login(UserRequest loginRequest);

    /**
     * 获取当前登录用户信息
     * @return
     */
    User userInfo();

    /**
     * 注销
     */
    void logout();
}
