package com.bwie.es.controller;

import com.bwie.common.domain.request.FriendsRequest;
import com.bwie.common.domain.response.FriendsResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@RestController
public class EsController {

    @Autowired
    private EsService esService;

    @PostMapping("/search")
    public Result<PageResult<FriendsResponse>> search(@RequestBody FriendsRequest friendRequest) {
        return esService.search(friendRequest);
    }
}
