package com.bwie.es.service;

import com.bwie.common.domain.Friends;
import com.bwie.common.domain.request.FriendsRequest;
import com.bwie.common.domain.response.FriendsResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

/**
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Version 1.0
 */
public interface EsService {
    /**
     * Es好友列表分页
     * @param friendRequest
     * @return
     */
    Result<PageResult<FriendsResponse>> search(FriendsRequest friendRequest);

    /**
     * Es添加好友
     * @param friends
     */
    void add(FriendsResponse friends);
}
