package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Version 1.0
 */
@FeignClient(name = "work-user")
public interface UserFeignService {
    @GetMapping("/findByTel/{tel}")
    public Result<User> findByTel(@PathVariable("tel") String tel);
}
