package com.bwie.common.constants;

/**
 * @Author: Li YongJie
 * @BelongsPackage: com.bwie.common.domain
 * @Description: TODO Jwt常量
 * @Version: 1.0
 */
public class JwtConstants {

    /**
     * 用户ID字段
     */
    public static final String DETAILS_USER_ID = "user_id";

    /**
     * 用户名字段
     */
    public static final String DETAILS_USERNAME = "username";

    /**
     * 用户标识
     */
    public static final String USER_KEY = "user_key";

    /**
     * 令牌秘钥
     */
    public final static String SECRET = "abcdefghijklmnopqrstuvwxyz";

}
