package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@Data
public class Friends {
    /**
     * id
     */
    private Integer id;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 好友Id
     */
    private Integer friendId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyTime;
    /**
     * 状态:1-待验证 2-通过 3-拒绝
     */
    private Integer friendStatues;
}
