package com.bwie.common.domain;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@Data
public class User {
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 手机号
     */
    private String tel;
    /**
     * 累计能量
     */
    private BigDecimal energy;
    /**
     * 可用能量
     */
    private BigDecimal usable;
    /**
     * 待收取
     */
    private BigDecimal collect;
    /**
     * 今日共收取
     */
    private BigDecimal todayCollection;
    /**
     * 兑换记录次数
     */
    private Integer count;
    /**
     * 状态:1-不可收 2-可收取
     */
    private Integer statues;
}
