package com.bwie.user.mapper;

import com.bwie.common.domain.request.FriendsRequest;
import com.bwie.common.domain.response.FriendsResponse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Version 1.0
 */
@Mapper
public interface FriendMapper {
    /**
     * 好友列表
     * @param friendRequest
     * @return
     */
    List<FriendsResponse> list(FriendsRequest friendRequest);

    /**
     * 好友申请列表
     * @param friendsRequest
     * @return
     */
    List<FriendsResponse> unFriends(FriendsRequest friendsRequest);


    List<FriendsResponse> findAll();
}
