package com.bwie.user.service;

import com.bwie.common.domain.request.FriendsRequest;
import com.bwie.common.domain.response.FriendsResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Version 1.0
 */
public interface FriendService {
    /**
     * 好友列表
     * @param friendRequest
     * @return
     */
    Result<PageResult<FriendsResponse>> list(FriendsRequest friendRequest);

    /**
     * 好友申请列表
     * @return
     */
    List<FriendsResponse> unFriends();

    /**
     * 所有用户
     * @return
     */
    List<FriendsResponse> findAll();
}
